//---------------------------------------------------------------------------
#ifndef NymWizH
#define NymWizH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include "Global.h"
#include "Fileman.h"
//---------------------------------------------------------------------------
bool __fastcall RunNymWizard();

#define NYMWIZARD AnsiString("Nym Wizard")
#define DEFNYMSERVER AnsiString("nym.alias.net")
const AnsiString DefaultReplyBlock = "default"+PS+"replyblock";

const int StartPg = 0;
const int Create1 = 1;
const int Create2 = 2;
const int Create3 = 3;
const int Modify1 = 4;
const int Modify2 = 5;
const int Modify3 = 6;
const int Delete1 = 7;
const int Delete2 = 8;
const int ReviewPg = 9;
const int FinishPg = 10;

const int NymCreateMode = 0;
const int NymModifyMode = 1;
const int NymDeleteMode = 2;

class TNymWizard : public TForm
{
__published:	// IDE-managed Components
   TBevel *Bevel1;
   TBevel *Bevel2;
   TLabel *Label1;
   TLabel *Label3;
   TLabel *Label4;
   TLabel *Label5;
   TLabel *Label6;
   TLabel *Label7;
   TLabel *Label8;
   TLabel *Label9;
   TLabel *Label10;
   TLabel *Label11;
   TLabel *Label2;
   TLabel *Label12;
   TLabel *Label13;
   TLabel *Label14;
   TLabel *Label15;
   TLabel *Label16;
   TLabel *Label17;
   TLabel *Label18;
   TLabel *Label19;
   TPanel *Panel1;
   TEdit *FullName;
   TEdit *NymLocal;
   TEdit *Chain;
   TMemo *RBlkMemo;
   TButton *BackBtn;
   TButton *NextBtn;
   TButton *CancelBtn;
   TNotebook *Notebook;
   TCheckBox *UpdateBox;
   TComboBox *NymServerBox;
   TRadioButton *CreateBtn;
   TRadioButton *ModifyBtn;
   TRadioButton *DeleteBtn;
   TPopupMenu *PopupMenu1;
   TMenuItem *PopSaveasDefaultItem;
  TMemo *Review;
   void __fastcall NextBtnClick(TObject *Sender);
   void __fastcall BackBtnClick(TObject *Sender);
   void __fastcall CNymChange(TObject *Sender);
   
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall NotebookPageChanged(TObject *Sender);
   void __fastcall PopSaveasDefaultItemClick(TObject *Sender);
   void __fastcall ChainChange(TObject *Sender);
   void __fastcall UpdateBoxClick(TObject *Sender);
   
  
  
private:	// User declarations
public:	// User declarations
   TStringList *options;
   __fastcall TNymWizard(TComponent* Owner);
   void __fastcall CheckBoxClick(TObject *Sender);
   bool __fastcall LoadNymServers(TStrings *toList);
   void __fastcall LoadNymOptions();
   AnsiString __fastcall GetNymOptions();
   AnsiString __fastcall GetNymName();
   AnsiString __fastcall GetNym();
   void __fastcall LoadReview();
   bool __fastcall GenerateConfigMessage();
};
//---------------------------------------------------------------------------
extern TNymWizard *NymWizard;
//---------------------------------------------------------------------------
#endif
