#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef OpenDlgH
#define OpenDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
const int MultiCol = 3;

AnsiString __fastcall OpenOpenDlg(TStrings *Message, AnsiString &Section);

class TOpenForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TLabel *Label1;
	TPanel *Panel2;
	TLabel *Label2;
	TEdit *Name;
	TButton *OkBtn;
	TButton *CancelBtn;
	TPanel *Panel3;
	TListBox *ListBox;
	TImageList *ImageList1;
	TComboBox *LookInBox;
	TPopupMenu *PopupMenu;
	TMenuItem *PopDeleteItems;
	TMenuItem *PopRenameItem;
    void __fastcall ListBoxClick(TObject *Sender);
	void __fastcall ListBoxDblClick(TObject *Sender);
	void __fastcall ListBoxDrawItem(TWinControl *Control, int Index, TRect &Rect,
	   TOwnerDrawState State);
	void __fastcall PopupMenuPopup(TObject *Sender);
    void __fastcall PopDeleteItemsClick(TObject *Sender);
    void __fastcall PopRenameItemClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall LookInBoxChange(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:	// User declarations
    AnsiString mode;   // "Open " or "Save "
	__fastcall TOpenForm(TComponent* Owner);
	void __fastcall Init(AnsiString &Section);
    AnsiString __fastcall DatSection() { return LookInBox->Text; }
    AnsiString __fastcall Title();
    void __fastcall LoadItems();
};
//---------------------------------------------------------------------------
extern TOpenForm *OpenForm;
//---------------------------------------------------------------------------
#endif
