//---------------------------------------------------------------------------
#ifndef PopRetDlgH
#define PopRetDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include "Pop3Prot.hpp"
#include "global.h"
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
void __fastcall PopRetrieveMail(TStringList *Accounts, TForm *Owner, TForm *MainForm,
   bool GetUndeletedMail=false);

class TPopRetrDlg : public TForm
{
__published:	// IDE-managed Components
  TTimer *Timer1;
  TPop3Cli *POP3;
  TPanel *Panel2;
  TProgressBar *ProgressBar;
  TButton *StopBtn;
  TPanel *Panel1;
  TRichEdit *Display;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopCopyItem;
  TMenuItem *PopPrintItem;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall POP3Display(TObject *Sender, AnsiString Msg);
  void __fastcall POP3RequestDone(TObject *Sender, TPop3Request RqType,
     WORD Error);
  void __fastcall POP3MessageBegin(TObject *Sender);
  void __fastcall POP3MessageLine(TObject *Sender);
  void __fastcall POP3MessageEnd(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall StopBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall POP3UidlLine(TObject *Sender);
  void __fastcall POP3UidlEnd(TObject *Sender);
  void __fastcall POP3UidlBegin(TObject *Sender);
  void __fastcall PopCopyItemClick(TObject *Sender);
  void __fastcall PopPrintItemClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool getALL;
  TForm *MainForm;
  double BytesTotal;
  int index,totalmails,lastretrieved;
  bool Finished,Cancel;
  TStringList *accts,*acct,*msg,*uidl;
  __fastcall TPopRetrDlg(TComponent* Owner);
  __fastcall virtual ~TPopRetrDlg();
  void __fastcall LoadAcct(int Index);
  void __fastcall GetMailThisAccount(int Index);
  AnsiString __fastcall GetLastMessageId(AnsiString &account);
  void __fastcall PutLastMessageId(AnsiString &account, AnsiString &msgid);
  void __fastcall DISPLAY(AnsiString &msg);
  AnsiString __fastcall Account();
  AnsiString __fastcall UserId();
  AnsiString __fastcall PopHost();
  AnsiString __fastcall Password();
  bool __fastcall Remember();
  AnsiString __fastcall Port();
  bool __fastcall PgpOnly();
  bool __fastcall Delete();
};
//---------------------------------------------------------------------------
extern TPopRetrDlg *PopRetrDlg;
//---------------------------------------------------------------------------
#endif
