//---------------------------------------------------------------------------
#ifndef GlobalH
#define GlobalH
#include <ShlObj.h>
#include <vcl\comctrls.hpp>
//#define QSMOBILE
//---------------------------------------------------------------------------
#define sm(m) ShowMessage(AnsiString(m))
#define MsgBoxHwnd(h,m,t,b) MessageBox(HWND(h),String(m).c_str(),String(t).c_str(),b)
#define MsgBox(m,t,b) MsgBoxHwnd(Application->MainForm->Handle,m,t,b)
#define sm(m) ShowMessage(AnsiString(m))

#define CutMarks  GetAppIni("Cutmarks","~~")
#define QteMarks  GetAppIni("QteMarks","> ")
//#define MixUseExe GetAppIni("MixUseExe","1").ToIntDef(1)

#define WM_QUEUECHANGE    WM_USER+1
#define WM_PROBLEMCHANGE  WM_USER+2
#define WM_UPDATECHECKED  WM_USER+3
#define WM_UPDATEENABLE   WM_USER+4
#define WM_CHECKUPDATE    WM_USER+5
#define WM_SETBUTTONS     WM_USER+6
#define WM_GETERRORLOG    WM_USER+7
#define WM_OPENPROBLEMS   WM_USER+8
#define WM_OPENQUEUE      WM_USER+9
#define WM_LOADBOXMENU    WM_USER+10
#define WM_INSERTFILENAME WM_USER+11
#define WM_DISPLAYXY      WM_USER+12
#define WM_REFRESHINDEX	WM_USER+13
//#define WM_POPACCOUNTS    WM_USER+14
#define WM_INCOMINGMAIL   WM_USER+15
#define WM_OPENINBOX      WM_USER+16
#define WM_STOREPOPLOG    WM_USER+17
#define WM_SENDMAIL       WM_USER+18
#define WM_SETWINCURSOR   WM_USER+19
#define WM_SHOWSTATUS     WM_USER+21
#define WM_SAVEQUIT       WM_USER+22
//===================================
#define WM_DATREQUEST     WM_USER+20
#define GetDatData           (WORD)1
#define PutDatData           (WORD)2
//#define GetDatBinary    (WORD)3
//#define PutDatBinary    (WORD)4
//===================================

//#define DEFNYMOPS AnsiString("+acksend -signsend +cryptrecv -fixedsize -disable -fingerkey -nobcc")
const AnsiString QSpop3Name("QSpop3.dll");

const AnsiString QuickStart = "QuickStart.rtf";
const AnsiString QuickStartPop3 = "QuickStart.Pop3.rtf";
const AnsiString BugReportAddress = "quicksilver@nym.alias.net,quicksilver@skuz.net";
const bool UseDialog = true;

const AnsiString DatExt(".dbc");
const AnsiString PooExt(".dpc");
const AnsiString PgpExt(".pgp");
const AnsiString IniExt(".ini");
const AnsiString BakExt(".bak");
const AnsiString TmpExt(".tmp");
const AnsiString OrgExt(".org");

const AnsiString AppExeName = Application->ExeName.UpperCase();
const AnsiString AppDir = ExtractFilePath(AppExeName).LowerCase();
//const AnsiString AppExe(QS.exe); -- is in version.h
const AnsiString AppDat = ChangeFileExt(AppExeName,DatExt);

const AnsiString AppMixPool = ChangeFileExt(AppExeName,PooExt);
const AnsiString MixPoolKey = "MixPool"; // datakey for apppool

const AnsiString AppIni = ChangeFileExt(AppExeName,IniExt);
const AnsiString AppPgp = ChangeFileExt(AppExeName,PgpExt);
const AnsiString AppPgpBak = AppPgp+BakExt;
const AnsiString AppPgpTmp = AppPgp+TmpExt;
const AnsiString IniUpdateOnSend = "UpdateOnSend";

//#define PS PATHSEPARATOR // in fileman.h
const AnsiString AppIniValues   = "Initialization";
const AnsiString UserNyms       = "Nyms";
const AnsiString UserNotes      = "Notes";
const AnsiString WasUserMessages= "Messages";
const AnsiString UserMessages   = "Drafts";
const AnsiString UserTemplates  = "Templates";
const AnsiString UserAddresses  = "Address Book";
const AnsiString UserMailboxes  = "Mailboxes";
const AnsiString UserData       = "User Data";
const AnsiString MailQueue      = "Mail Queue";
const AnsiString ProblemQueue   = "Problems Queue";
const AnsiString MailboxBoxmenu = "Mailbox Menu";    // boxes included on mailbox menu
const AnsiString MailboxPos     = "Mailbox Pos";  // position of cursor in box index
const AnsiString StatsURLs      = "StatsURLs";
const AnsiString HttpInfo       = "Http Info";
const AnsiString FtpProxy       = "Ftp Proxy";
const AnsiString UseFtpProxy    = "Use Ftp Proxy";
const AnsiString MixValues      = "Mixmaster";
const AnsiString SMTPLog        = "SmtpLog";
const AnsiString POP3Log        = "Pop3Log";
const AnsiString PopAccounts    = "Pop Accounts";
const AnsiString PopLastMsgId   = "Last Message-ID";
const AnsiString UpdateSites    = "Update Sites";

//const AnsiString TempBugReportFile = "QSTemplateBugReport.txt";
//const AnsiString BugReport       = "BugReport";

const AnsiString AppRandPool     = "RandomPool"; // MixValues+PS+AppRandPool
const AnsiString MixClientCfg    = "ClientCfg";

const AnsiString DatExePath      = "exe";
const AnsiString UnzipApp        = "unzipping.exe";

const AnsiString POP3YouGotMail  = "You got mail!";
const AnsiString POP3SorryNoMail = "Sorry, no new mail.";
const AnsiString POP3UserCancel  = "User cancel";
const AnsiString POP3ErrorAbort  = "Error: aborted!";

// statistics filenames (and datakeys)
const AnsiString MListTxt = "mlist.txt";
const AnsiString MRingTxt = "pubring.mix";
const AnsiString MTyp2Txt = "type2.list";
const AnsiString CListTxt = "rlist.txt";
const AnsiString CRingTxt = "pubring.asc";
const AnsiString BeginMixKey = "-----Begin Mix Key-----";

const int SleepTime = 100;
const int DesignPixelsPerInch = 96;

//bool __fastcall CopyFile(AnsiString &orgname, AnsiString &destname, bool failifexist);
AnsiString __fastcall GetLastErrorStr();
bool DiskInDrive(char drive);
bool __fastcall SetRunOnce(const AnsiString Name, const AnsiString RunCmd);
void __fastcall MyBeep(WORD BeepType=MB_OK);
bool __fastcall DeleteDirectory(AnsiString &pathname);
HINSTANCE __fastcall ExploreFolder(AnsiString &strFolder);
HANDLE __fastcall Exec95(const AnsiString& strCmdLine, const WORD ShowCmd=SW_SHOWNORMAL);
DWORD __fastcall ExecAndWait95(const AnsiString& strCmdLine, const WORD ShowCmd=SW_SHOWNORMAL);
AnsiString __fastcall GetShortFileName(AnsiString &FileName);
AnsiString __fastcall GetWindowsDir();
AnsiString __fastcall GetTempDir();
void __fastcall PasteFromClipboard(TRichEdit *Editor);
void __fastcall CenterDialog(TForm *CenteredForm, TForm *MainForm=Application->MainForm);
AnsiString __fastcall GetParam(int pos, AnsiString &fromBuf, char *divider=",", char *def="");
AnsiString __fastcall GetToken(int pos, AnsiString &buffer, char *delimiter);
int __fastcall GetFilenames(TStrings *names, AnsiString &pathname, int attrib=faAnyFile);
AnsiString __fastcall AddBackslash(AnsiString path);
AnsiString __fastcall RemoveBackslash(AnsiString path);
HRESULT CreateLink(AnsiString TargetPath, AnsiString LinkPath, AnsiString IconPath,
   AnsiString Description, AnsiString Params);
bool __fastcall RegKeyExists(AnsiString &Key);

extern bool DoMyBeep;
//---------------------------------------------------------------------------
#endif
