//---------------------------------------------------------------------------
#ifndef MsgInWinH
#define MsgInWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>

#include "NoteWin.h"
#include "HeadMan.h"
//---------------------------------------------------------------------------
bool __fastcall OpenMessageIn(AnsiString &MailBox, AnsiString &IndexStr);

class TMessageInWin : public TTextWin
{
__published:	// IDE-managed Components
  TSpeedButton *ReplyBtn;
  TSpeedButton *HeadersBtn;
  TCheckBox *WordWrap;
  TSpeedButton *EditBtn;
  TCheckBox *NoHeaders;
  TSpeedButton *PGPcdecBtn;
  TSpeedButton *SaveBtn;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopupTransferItem;
  TMenuItem *PopupDeleteItem;
  TMenuItem *PopupCopyItem;
  TMenuItem *N7;
  TMenuItem *N8;
  TMenuItem *PopupSaveItem;
  void __fastcall HeadersBtnClick(TObject *Sender);
  void __fastcall ReplyBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall OkBtnClick(TObject *Sender);
  void __fastcall WordWrapClick(TObject *Sender);
  void __fastcall EditBtnClick(TObject *Sender);
  void __fastcall NoHeadersClick(TObject *Sender);
  void __fastcall PGPcdecBtnClick(TObject *Sender);
  void __fastcall SaveBtnClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
  void __fastcall PopupSaveItemClick(TObject *Sender);
  void __fastcall PopupSaveasItemClick(TObject *Sender);
  void __fastcall PopupTransferItemClick(TObject *Sender);
  void __fastcall PopupCopyItemClick(TObject *Sender);
  void __fastcall PopupDeleteItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations

   bool FullHeaders;
   THeaderManager *Headers;
   AnsiString Mailbox,IndexStr;
   virtual __fastcall TMessageInWin(TComponent* Owner);
   virtual __fastcall TMessageInWin(AnsiString &MailBox, AnsiString &Indexstr,
      TComponent *Owner);
   virtual __fastcall ~TMessageInWin();
   void __fastcall SetMessage();
   void __fastcall SetEditMode(bool Editing);
   void __fastcall CreateReply(bool UseDialog);
   virtual bool __fastcall CheckSave();
   virtual bool __fastcall SaveAs();
   virtual bool __fastcall Save();
   void __fastcall TransferMessageTo(AnsiString &Boxname);
   void __fastcall CopyMessageTo(AnsiString &Boxname);
// PGP
   bool __fastcall ConvDecryptMessage();
   void __fastcall SetNoMixmaster();
};
//---------------------------------------------------------------------------
extern TMessageInWin *MessageInWin;
//---------------------------------------------------------------------------
#endif
