//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PackDlg.h"
#include "Global.h"
#include "Wiper.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPackForm *PackForm;
//---------------------------------------------------------------------------
void __fastcall PackDatabase()
{
   PackForm = new TPackForm(Application->MainForm);
   PackForm->Execute();
   delete PackForm;
}
//---------------------------------------------------------------------------
__fastcall TPackForm::TPackForm(TComponent* Owner)
  : TForm(Owner)
{
   // Center in Main Window
   TForm *Main = Application->MainForm;
   Top = Main->Top+((Main->Height-Height)/2);
   Left = Main->Left+((Main->Width-Width)/2);
   // init
   TmpDat = AppDat+".tmp";
   if (FileExists(TmpDat)) simplewipe(TmpDat);
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (FileExists(TmpDat) && FileExists(AppDat)) {
      simplewipe(AppDat); rename(TmpDat.c_str(),AppDat.c_str());
   }
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::FormShow(TObject *Sender)
{
   Timer1->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::Execute()
{
   ShowModal();
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::Timer1Timer(TObject *Sender)
{
   Timer1->Enabled = true;
   Pack();
}
//---------------------------------------------------------------------------
void show(TStringList *list)
{
   TStringList *tmp = new TStringList();
   tmp->Add("start");
   for (int i=0; i<list->Count; i++)
      tmp->Add(list->Strings[i]+"   "+AnsiString((int)list->Objects[i]));
   tmp->Add("finish");
   sm(tmp->Text);
   delete tmp;
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::PackIndex(AnsiString &path, TFMindex *frParent, TFMindex *toParent)
{
   Label1->Caption = "..."+path+"...";
   Application->ProcessMessages();
   Sleep(200);
   AnsiString name;
   TDataBuf *buf = new TDataBuf();
   TFMindex *frIndex = new TFMindex(frFileMan,path,frParent);
   TFMindex *toIndex = new TFMindex(toFileMan,path,toParent);
   //==========================================
   frIndex->Sorted = true;
   for (int i=0; i<frIndex->Count; i++)
   {
      name = frIndex->Strings[i];
      int type = frIndex->GetType(name);
      if (type<0) continue;
      if (type==ISINDEX)
      {
         PackIndex(name,frIndex,toIndex);
      }
      else
      {
         frIndex->GetBinary(name,buf);
         toIndex->PutBinary(name,buf,false);
      }
   }
//if (!toIndex->parent) show(toIndex);
   toIndex->Save();
   //==========================================
   delete toIndex;
   delete frIndex;
   delete buf;
}
//---------------------------------------------------------------------------
void __fastcall TPackForm::Pack()
{
   Timer1->Enabled = false;
   frFileMan = new TFileManager(AppDat);
   toFileMan = new TFileManager(TmpDat);
// TFMindex *frIndex = new TFMindex(frFileMan);
// show(frIndex);
// delete frIndex;
//===================================
   PackIndex("",NULL,NULL);
//=============================
// TFMindex *toIndex = new TFMindex(toFileMan);
// show(toIndex);
// delete toIndex;
   delete toFileMan;
   delete frFileMan;
   ModalResult = mrOk;
//sm("ok");
}
//---------------------------------------------------------------------------
