//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "QSpgpu.h"
#include "pgp.h"
#include "global.h"
#include "pgprecips.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
void __fastcall TForm1::DisplayPgpKeys()
{
/*
  Memo1->Clear();
  // Locate keyrings from PGPPATH...
  char base[MAX_PATH+1];
  char ring[MAX_PATH+1];
  // assemble default key ring locations
  strcpy(base, getenv("PGPPATH"));
  {
   int l = strlen(base) - 1;
   if('\\' == base[l] || '/' == base[l]) base[l] = 0;
  }
  strcpy(ring, base);
  if(strlen(base) < MAX_PATH-12)
  {
   strcat(base, "\\pubring.pgp");
   strcat(ring, "\\secring.pgp");
  }
  else
  {
   strcpy(base, "pubring.pgp");
   strcpy(ring, "secring.pgp");
  }

  AnsiString line;
  TStringList *ids = new TStringList();
  BUFFER *key = buf_new();
  KEYRING *keyring = pgpdb_open("secring.pgp",NULL,0);
  while (pgpdb_getnext(keyring,key,NULL,NULL)>=0)
     pgp_keyUserIds(key,ids);
  pgpdb_close(keyring);
  Memo1->Lines->AddStrings(ids);
  delete ids;
  */
}
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner) : TForm(Owner)
{
   Memo1->Clear();
   SetCurrentDir(ExtractFilePath(Application->ExeName));
   hMixLib = LoadLibrary(AnsiString("mixlib.dll").c_str());
   hSSLLib = LoadLibrary(AnsiString("libeay32.dll").c_str());
   if (!hSSLLib || !hMixLib)
   {
      if (!hMixLib) Memo1->Lines->Add("Unable to load mixlib.dll");
      if (!hSSLLib) Memo1->Lines->Add("Unable to load libeay32.dll");
      Memo1->Color = clSilver;
      ActiveControl = Button1;
   }
   Application->ShowMainForm = false;
   Timer1->Enabled = true;
}
//---------------------------------------------------------------------------
__fastcall TForm1::~TForm1()
{
   if (hSSLLib) FreeLibrary(hSSLLib);
   if (hMixLib) FreeLibrary(hMixLib);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
   Timer1->Enabled = false;
   TStringList *ids = new TStringList();
   PGPgetEncryptList(ids);
   delete ids;
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  TStringList *ids = new TStringList();
  PGPgetEncryptList(ids);
  delete ids;
}
//---------------------------------------------------------------------------
