//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "WaitDlg.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TWaitForm *WaitForm;
//---------------------------------------------------------------------------
bool __fastcall DoWaitDlg(AnsiString &Title, AnsiString &Message, TForm *Owner)
{
   WaitForm = new TWaitForm(Owner);
   WaitForm->Caption = Title; WaitForm->msg = Message;
   CenterDialog(WaitForm,Owner);
   WaitForm->ShowModal();
   bool ok = WaitForm->ModalResult==mrOk;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TWaitForm::TWaitForm(TComponent* Owner)
  : TForm(Owner)
{
   Timer1->Enabled = true;
   times = 0;
}
//---------------------------------------------------------------------------
void __fastcall TWaitForm::Timer1Timer(TObject *Sender)
{
   AnsiString installing = msg;//"Installing QuickSilver";
   switch (Timer1->Tag)
   {
      case 0:
         Timer1->Enabled = false;
         CancelBtn->Enabled = true;
         Panel1->Caption = installing;
         Timer1->Interval = 500;
         Timer1->Tag = 1;
         Timer1->Enabled = true;
         break;
      case 1:
         Panel1->Caption = Panel1->Caption.IsEmpty() ? installing : AnsiString("");
         times++;
         Timer1->Enabled = true;
         break;
   }
   if (times>WaitTimes) ModalResult=mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TWaitForm::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   Timer1->Enabled = false;
   if (ModalResult==mrCancel && MsgBoxHwnd(Handle,"Cancel process?","QuickSilver",MB_YESNO)==IDNO)
   {
      Timer1->Enabled = true;
      CanClose = false;
      return;
   }
}
//---------------------------------------------------------------------------
